> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Get a pricingPlanSchedule by resourceID

GET https://test.api.solvimon.com/v{version}/pricing-plan-schedules/{resourceId}

Requires the PRICING_PLAN_SCHEDULE.VIEW or QUOTE.PRICING_PLAN_SCHEDULE.VIEW permission.

Reference: https://docs.solvimon.com/api-docs/configuration-api/pricing-plan-schedules/get-pricing-plan-schedules-by-resource-id

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version
- `resourceId` (string, required, default: ) — The ID of the resource to be requested.

### Query parameters

- `expand[]` (list of string, optional) — The id fields of the resources that are going to be expanded.
- `include_combined_pricing_plan_version` (boolean, optional) — Get the pricing plan version with the pricing overrides.

### Headers

- `x-platform-id` (string, optional) — Platform ID.

## Response

### 200

OK

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `type` (enum, optional, nullable) — The type of the pricing plan schedule.
  - Allowed values: `TRIAL`, `DEFAULT`
- `status` (enum, optional, nullable) — The status of the pricing plan schedule. Defaults to ACTIVE.
  - Allowed values: `DRAFT`, `ACTIVE`
- `approval_status` (enum, optional, nullable) — Approval status for schedules that are associated with an approval request
  - Allowed values: `PENDING_REVIEW`, `APPROVED`, `DECLINED`, `CANCELLED`
- `pricing_plan_subscription_id` (string, optional) — Resource ID of type PRICING_PLAN_SUBSCRIPTION
- `pricing_plan_id` (string, optional, nullable) — The resource ID of the pricing plan.
- `pricing_plan_version_id` (string, optional, nullable) — The resource ID of the pricing plan version.
- `pricing_plan_version_selector` (PricingPlanVersionSelector, optional) — Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.
- `start_at` (datetime, optional)
- `end_at` (datetime, optional, nullable)
- `pricing_currency` (enum, optional, nullable) — The default alphabetic currency code representing the type of currency used for the pricing.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `billing_period` (Period, optional)
- `entitlements` (list of Entitlement, optional, nullable)
- `discount` (Discount, optional)
- `markup` (Markup, optional)
- `commitment` (Commitment, optional)
- `coupon_discount` (Discount, optional, nullable)
- `coupons` (list of AppliedCoupon, optional, nullable)
- `seats_values` (list of ConfiguredMeterValue, optional, nullable)
- `units` (list of ConfiguredMeterValue, optional, nullable) — The number of units billed per One Off pricing item config priced `FLAT`. Overrides `default_units`; absent falls back to it, then to 1.
- `included_volumes` (list of ConfiguredMeterValueIncludedVolume, optional, nullable)
- `enabled_pricings` (list of EnabledPricing, optional, nullable)
- `override_pricings` (list of Pricing, optional, nullable)
- `pricing_categories` (list of PricingCategory, optional, nullable) — Pricing defined directly on this schedule, in addition to (or instead of) a linked pricing plan version / rate-card.
- `combined_pricing_plan_version` (PricingPlanVersion, optional, nullable)
- `realign_invoice_date_to_pricing_plan_schedule_start_at` (boolean, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `is_current` (boolean, optional, nullable) — Whether this schedule is currently in effect, based on its start_at/end_at and ACTIVE status.
- `promotion_codes` (list of string, optional, nullable, deprecated)
- `coupon_ids` (list of string, optional, nullable, deprecated)

## Errors

### 400 Bad Request Error

Bad Request

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 401 Unauthorized Error

Unauthorized

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 403 Forbidden Error

Forbidden

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 500 Internal Server Error

Internal Server Error

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

## Types

### PricingPlanVersionSelector

- `pricing_plan_id` (string, optional, nullable) — The ID of the pricing plan.
- `pricing_plan_reference` (string, optional, nullable) — Or the reference of the pricing plan.
- `type` (enum, optional, nullable) — The type of the selector to determine pricing plan version (by default LATEST).
  - Allowed values: `LATEST`, `VERSION`
- `version` (integer, optional, nullable) — The specific version of the pricing plan version, in case of type VERSION

### Period

- `type` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `value` (integer, optional, nullable)

### Entitlement

- `feature_id` (string, optional, nullable) — Resource ID of type FEATURE
- `feature` (Feature, optional, nullable)
- `feature_reference` (string, optional, nullable)
- `override` (boolean, optional, nullable)
- `number` (string, optional, nullable)
- `switch` (boolean, optional, nullable)
- `amount` (Amount, optional)
- `enum` (string, optional, nullable)
- `string` (string, optional, nullable)
- `overwrite` (boolean, optional, nullable, deprecated)

### Discount

- `pricing_item_configs` (list of PricingItemConfigDiscount, optional, nullable)
- `pricing_items` (list of PricingItemDiscount, optional, nullable)
- `pricings` (list of PricingDiscount, optional, nullable)
- `totals` (list of TotalDiscount, optional, nullable)
- `product_categories` (list of ProductCategoryDiscount, optional, nullable)
- `products` (list of ProductDiscount, optional, nullable)
- `product_items` (list of ProductItemDiscount, optional, nullable)
- `product_item_meter_property_conditions` (list of ProductItemMeterPropertyConditionDiscount, optional, nullable)

### Markup

- `pricing_item_configs` (list of PricingItemConfigMarkup, optional, nullable)

### Commitment

- `pricing_item_configs` (list of PricingItemConfigCommitment, optional, nullable)
- `pricing_items` (list of PricingItemCommitment, optional, nullable)
- `pricings` (list of PricingCommitment, optional, nullable)
- `totals` (list of InvoiceCommitment, optional, nullable)

### AppliedCoupon

- `id` (string, optional)
- `coupon_name` (string, optional, nullable)
- `promotion_code_resource_id` (string, optional, nullable)
- `promotion_code` (string, optional, nullable)
- `discount` (Discount, optional, nullable)

### ConfiguredMeterValue

- `pricing_item_config_id` (string, optional) — Resource ID of type PRICING_ITEM_CONFIG
- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `start_at` (datetime, optional, nullable)
- `set_start_at_to_now` (boolean, optional, nullable)
- `end_at` (string, optional, nullable)

### ConfiguredMeterValueIncludedVolume

- `pricing_item_config_id` (string, optional) — Resource ID of type PRICING_ITEM_CONFIG
- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `reset_type` (string, optional, nullable)

### EnabledPricing

- `pricing_id` (string, optional) — Resource ID of type PRICING
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)

### Pricing

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `pricing_plan_version_id` (string, optional, nullable) — Resource ID of type PRICING_PLAN_VERSION
- `pricing_plan_schedule_id` (string, optional, nullable) — Resource ID of type PRICING_PLAN_SCHEDULE
- `pricing_group_id` (string, optional, nullable) — Resource ID of type PRICING_GROUP
- `original_pricing_id` (string, optional, nullable)
- `original_pricing` (PricingOriginalPricing, optional, nullable) — This property creates a circular reference in the `Pricing` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.
- `override` (enum, optional, nullable)
  - Allowed values: `ALL`, `SPECIFIC`
- `name` (string, optional, nullable)
- `product_type` (enum, optional, nullable)
  - Allowed values: `DEFAULT`, `ADDON`
- `product_ids` (list of string, optional)
- `display_order` (integer, optional, nullable)
- `products` (list of Product, optional, nullable)
- `entitlements` (list of Entitlement, optional, nullable)
- `items` (list of PricingItem, optional, nullable)

### PricingCategory

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `product_category_id` (string, optional) — Resource ID of type PRODUCT_CATEGORY
- `product_category` (ProductCategory, optional, nullable)
- `pricings` (list of Pricing, optional, nullable)
- `pricing_groups` (list of PricingGroup, optional, nullable)
- `display_order` (integer, optional, nullable)

### PricingPlanVersion

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `pricing_plan_id` (string, optional, nullable) — The resource ID of the pricing plan.
- `pricing_plan` (PricingPlan, optional, nullable)
- `version` (integer, optional, nullable) — The value describing the version of the pricing plan.
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `pricing_currency_settings` (PricingCurrencySettings, optional)
- `billing_period_settings` (BillingPeriodSettings, optional)
- `copied_from_pricing_plan_version_id` (string, optional, nullable) — The id of the pricing plan version from which this pricing plan version was copied
- `pricing_categories` (list of PricingCategory, optional, nullable) — The list of priced categories that are within the pricing plan.
- `credit_types` (list of CreditType, optional, nullable)
- `rate_card` (RateCard, optional)

### Feature

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `type` (enum, optional, nullable) — The indication of the type of feature associated with the pricing plan.
  - Allowed values: `SWITCH`, `NUMBER`, `ENUM`, `AMOUNT`, `STRING`
- `enum_values` (list of string, optional, nullable) — If the feature type is ENUM, these fields provide additional information on the values used.
- `meter_value_calculation_id` (string, optional, nullable) — The linked meter value calculation
- `meter_value_calculation` (MeterValueCalculation, optional, nullable)

### Amount

- `quantity` (string, optional)
- `currency` (enum, optional)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### PricingItemConfigDiscount

- `ids` (list of string, optional) — Resource ID of type PRICING_ITEM_CONFIG
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `condition` (DiscountCondition, optional)

### PricingItemDiscount

- `ids` (list of string, optional) — Resource ID of type PRICING_ITEM
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `condition` (DiscountCondition, optional)

### PricingDiscount

- `ids` (list of string, optional) — Resource ID of type PRICING
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `condition` (DiscountCondition, optional)

### TotalDiscount

- `start_at` (string, optional, nullable)
- `end_at` (string, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)
- `condition` (DiscountCondition, optional)

### ProductCategoryDiscount

- `ids` (list of string, optional) — Resource ID of type PRODUCT_CATEGORY
- `start_at` (string, optional, nullable)
- `end_at` (string, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)
- `condition` (DiscountCondition, optional)

### ProductDiscount

- `ids` (list of string, optional) — Resource ID of type PRODUCT
- `start_at` (string, optional, nullable)
- `end_at` (string, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)
- `condition` (DiscountCondition, optional)

### ProductItemDiscount

- `ids` (list of string, optional) — Resource ID of type PRODUCT_ITEM
- `start_at` (string, optional, nullable)
- `end_at` (string, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)
- `condition` (DiscountCondition, optional)

### ProductItemMeterPropertyConditionDiscount

- `ids` (list of string, optional) — Resource ID of type PRODUCT_ITEM
- `meter_property_condition_expression` (MeterConditionExpression, optional)
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `condition` (DiscountCondition, optional)
- `coupon_id` (string, optional, nullable) — Resource ID of type COUPON
- `promotion_code_details` (PromotionCodeDetails, optional, nullable)

### PricingItemConfigMarkup

- `ids` (list of string, optional) — Resource ID of type PRICING_ITEM_CONFIG
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)
- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)

### PricingItemConfigCommitment

- `ids` (list of string, optional) — List of resource IDs each referencing an pricing item configuration.
- `meter_value_calculation` (MeterValueCalculationCommitment, optional) — When the implicit link to a product item offers a connection to a meter value calculation a commitment of either count or number can be set.
- `start_at` (datetime, optional, nullable) — Moment the invoice commitment starts, this is greater or equal to the start of the schedule
- `end_at` (datetime, optional, nullable) — Moment the invoice commitment ends, this is before the end of the schedule
- `amount` (Amount, optional) — The minimum amount that will be set on the invoice for this commitment, either an amount or meter_value_calculation is set.

### PricingItemCommitment

- `ids` (list of string, optional) — List of resource IDs each referencing a pricing item.
- `start_at` (datetime, optional, nullable) — Moment the invoice commitment starts, this is greater or equal to the start of the schedule
- `end_at` (datetime, optional, nullable) — Moment the invoice commitment ends, this is before the end of the schedule
- `amount` (Amount, optional) — Minimum amount to be invoiced.

### PricingCommitment

- `ids` (list of string, optional) — List of resource IDs each referencing a pricing item.
- `start_at` (datetime, optional, nullable) — Moment the invoice commitment starts, this is greater or equal to the start of the schedule
- `end_at` (datetime, optional, nullable) — Moment the invoice commitment ends, this is before the end of the schedule
- `amount` (Amount, optional) — Minimum amount to be invoiced.

### InvoiceCommitment

- `start_at` (datetime, optional, nullable) — Moment the invoice commitment starts, this is greater or equal to the start of the schedule
- `end_at` (datetime, optional, nullable) — Moment the invoice commitment ends, this is before the end of the schedule
- `amount` (Amount, optional) — Minimum invoice amount.

### PricingOriginalPricing

This property creates a circular reference in the `Pricing` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.

### Product

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `category_id` (string, optional) — The resource ID of the product category, that belongs to the product.
- `category` (ProductCategory, optional, nullable)
- `parent_product_id` (string, optional, nullable) — The resource ID of the original product, to which the product will belong to.
- `name` (string, optional)
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the product.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `product_type` (enum, optional)
  - Allowed values: `DEFAULT`, `ADDON`
- `tax_category` (enum, optional, nullable) — The default tax category applied to the product.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `features` (list of FeatureResourceReference, optional, nullable) — The features associated with the product.
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `display_order` (integer, optional, nullable) — Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `billing_entity_id` (string, optional, nullable) — The resource ID of the billing entity linked to this product.
- `customer_id` (string, optional, nullable)
- `agent_context` (AgentContext, optional) — Context for AI agents about this product. Intended for agents, not for customer-facing output.

### PricingItem

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `original_pricing_item_id` (string, optional, nullable)
- `original_pricing_item` (PricingItemOriginalPricingItem, optional, nullable) — This property creates a circular reference in the `PricingItem` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.
- `override` (enum, optional, nullable)
  - Allowed values: `ALL`, `SPECIFIC`
- `product_item_ids` (list of string, optional)
- `product_items` (list of ProductItem, optional, nullable)
- `configs` (list of PricingItemConfig, optional, nullable)
- `pricing_currency_configs` (list of PricingItemPricingCurrencyConfig, optional, nullable)
- `billing_period_configs` (list of PricingItemBillingPeriodConfig, optional, nullable)
- `display_order` (integer, optional, nullable)

### ProductCategory

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `name` (string, optional)
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `tax_category` (enum, optional, nullable) — The default tax category applied to the products in the product category.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `display_order` (integer, optional, nullable)
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER

### PricingGroup

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `pricing_plan_version_id` (string, optional, nullable) — Resource ID of type PRICING_PLAN_VERSION
- `pricing_plan_schedule_id` (string, optional, nullable) — Resource ID of type PRICING_PLAN_SCHEDULE
- `name` (string, optional, nullable)
- `product_type` (enum, optional, nullable)
  - Allowed values: `DEFAULT`, `ADDON`
- `selection_constraint` (enum, optional, nullable)
  - Allowed values: `ANY`, `AT_LEAST_ONE`, `AT_MOST_ONE`, `EXACTLY_ONE`
- `display_order` (integer, optional, nullable)
- `pricings` (list of Pricing, optional, nullable)

### PricingPlan

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER
- `type` (enum, optional, nullable)
  - Allowed values: `STANDARD`, `CUSTOM`
- `amount_type` (enum, optional) — Set to determine whether the pricings in this pricing plan are including or excluding tax. The default, if left empty, is excluding tax.
  - Allowed values: `EXCLUDING_TAX`, `INCLUDING_TAX`
- `pricing_plan_version_infos` (list of PricingPlanVersionInfo, optional, nullable)
- `pricing_plan_selection_rules` (list of SelectionRule, optional, nullable)
- `pricing_currencies` (list of enum, optional, nullable) — The default alphabetic currency code representing the type of currency that can be used for the pricings.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `variant` (enum, optional, nullable)
  - Allowed values: `DEFAULT`, `RATE_CARD`
- `custom_fields` (list of CustomFieldValue, optional, nullable) — Custom fields associated to this pricing plan
- `agent_context` (AgentContext, optional) — Context for AI agents about this pricing plan. Intended for agents, not for customer-facing output.

### PricingCurrencySettings

- `default_pricing_currency` (string, optional, nullable)
- `pricing_currencies` (list of string, optional, nullable)

### BillingPeriodSettings

- `billing_periods` (list of BillingPeriodOption, optional, nullable)

### CreditType

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `INACTIVE`, `DEPRECATED`, `ARCHIVED`
- `name` (string, optional)
- `description` (string, optional, nullable)
- `unit_name` (UnitName, optional)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)

### RateCard

- `start_at` (datetime, optional, nullable)

### MeterValueCalculation

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `calculation_type` (enum, optional, nullable) — The type of calculation used for this billable metric.
  - Allowed values: `SUM`, `MAX`, `MIN`, `AVERAGE`, `UNIQUE`
- `persist` (boolean, optional, nullable) — Indicate if the data of the billable metric must be persisted to the next billing period of the schedule (default is false).
- `meter_id` (string, optional, nullable) — The ID of the meter.
- `meter` (Meter, optional, nullable)
- `meter_value_id` (string, optional, nullable) — The ID of the meter value.
- `meter_value` (MeterValue, optional, nullable)
- `meter_property_id` (string, optional, nullable) — The ID of the meter property.
- `meter_property` (MeterProperty, optional, nullable)

### DiscountCondition

- `comparator` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`
- `value` (DiscountConditionValue, optional)

### PromotionCodeDetails

- `promotion_code_id` (string, optional, nullable) — Resource ID of type PROMOTION_CODE
- `code` (string, optional, nullable)

### MeterConditionExpression

- `operator` (enum, optional)
  - Allowed values: `AND`, `OR`, `XOR`
- `operands` (list of MeterConditionOperand, optional, nullable)

### MeterValueCalculationCommitment

- `number` (string, optional, nullable) — The minimum number of events that are to be invoiced.
- `amount` (Amount, optional) — The minimum amount to be invoiced.

### FeatureResourceReference

- `id` (string, optional, nullable) — The ID of the feature.
- `reference` (string, optional) — The reference of the feature.

### CustomFieldValue

- `id` (string, optional, nullable) — Resource ID of type CUSTOM_FIELD
- `reference` (string, optional, nullable)
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `integration_details` (IntegrationDetails, optional, nullable)
- `integration_id` (string, optional) — The resource ID of the integration linked to the custom field

### LinkedIntegration

- `id` (string, optional)
- `link_details` (list of LinkDetail, optional)

### AgentContext

- `guidance` (string, optional, nullable) — Free-text guidance for AI agents on how to interpret and use this resource.

### PricingItemOriginalPricingItem

This property creates a circular reference in the `PricingItem` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.

### ProductItem

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `product_id` (string, optional, nullable) — The resource ID of the product, that belongs to the product item.
- `product` (Product, optional, nullable)
- `name` (string, optional, nullable)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `type` (enum, optional, nullable) — The type of the product item.
  - Allowed values: `REVENUE`, `DEDUCTION`
- `model_type` (enum, optional, nullable)
  - Allowed values: `USAGE_BASED`, `USAGE_BASED_CONVERSION`, `RECURRING`, `ONE_OFF`, `PER_SEAT`, `CREDITS`
- `usage_based` (ProductItemUsageBased, optional) — Additional settings in case of a USAGE_BASED type.
- `credits` (ProductItemCredits, optional) — Additional settings in case of a CREDITS type.
- `meter_value_calculation` (MeterValueCalculation, optional, nullable)
- `tax_category` (enum, optional, nullable) — The default tax category applied to the product item.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `display_order` (integer, optional, nullable)
- `unit_name` (UnitName, optional)
- `custom_fields` (list of CustomFieldValue, optional, nullable) — Custom fields associated to this product item
- `customer_id` (string, optional, nullable)
- `agent_context` (AgentContext, optional) — Context for AI agents about this product item. Intended for agents, not for customer-facing output.
- `meter_value_calculation_id` (string, optional, nullable, deprecated) — The linked meter value calculation, in case of a USAGE_BASED charge type.
- `report_meter_value_calculation_ids` (list of string, optional, nullable, deprecated) — Optional reporting meter value calculations, in case of a USAGE_BASED charge type.

### PricingItemConfig

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable) — Resource ID of type PRICING_ITEM_CONFIG
- `original_pricing_item_config_id` (string, optional, nullable)
- `original_pricing_item_config` (PricingItemConfigOriginalPricingItemConfig, optional, nullable) — This property creates a circular reference in the `PricingItemConfig` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.
- `details` (PricingItemConfigDetails, optional)
- `billing_period` (Period, optional)
- `pricing_period` (Period, optional)
- `default_included_volume` (PricingItemConfigMeterValueIncludedVolume, optional)
- `default_seats_value` (PricingItemConfigMeterValue, optional)
- `default_units` (PricingItemConfigMeterValue, optional) — The default number of units billed for a One Off product item priced `FLAT` with a per-unit amount. Set to 1 when not provided.
- `conditions` (PricingItemConfigConditions, optional)
- `tiering_conditions` (MeterConditions, optional) — Conditions that filter for which `TIERING` events this pricing item config is applied. Only the `expression` is supported here; the deprecated `meter_properties` field is not allowed.
- `order` (integer, optional, nullable)
- `billing_in_advance` (boolean, optional, nullable)
- `volume_group_reference` (string, optional, nullable)
- `top_up` (PricingItemConfigTopUp, optional)
- `split_pricing` (PricingItemConfigSplitPricing, optional)
- `on_demand` (boolean, optional, nullable)
- `wallet_grants` (list of PricingItemConfigWalletGrant, optional, nullable)
- `type` (enum, optional, nullable, deprecated)
  - Allowed values: `FLAT`, `FLAT_TOP_UP`, `TIERED`, `TIERED_TOP_UP`, `TOP_TIERED`, `STAIR_STEP`, `STAIR_STEP_TOP_UP`, `FIXED`, `FLEXIBLE`, `PASS_THROUGH`, `NONE`
- `pricing_type` (enum, optional, nullable, deprecated)
  - Allowed values: `FLAT`, `FLAT_TOP_UP`, `TIERED`, `TIERED_TOP_UP`, `TOP_TIERED`, `STAIR_STEP`, `STAIR_STEP_TOP_UP`, `FIXED`, `FLEXIBLE`, `PASS_THROUGH`, `NONE`
- `bands` (list of PricingItemConfigBand, optional, deprecated)

### PricingItemPricingCurrencyConfig

- `currency` (enum, optional, nullable)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `configs` (list of PricingItemConfig, optional, nullable)
- `billing_period_configs` (list of PricingItemBillingPeriodConfig, optional, nullable)
- `fallback_currency` (enum, optional, nullable)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### PricingItemBillingPeriodConfig

- `billing_period` (Period, optional)
- `configs` (list of PricingItemConfig, optional, nullable)

### PricingPlanVersionInfo

- `version` (integer, optional)
- `id` (string, optional)
- `status` (string, optional)
- `rate_card` (RateCard, optional)

### SelectionRule

- `type` (enum, optional)
  - Allowed values: `RESOURCE`
- `resource` (SelectionRuleResource, optional)

### BillingPeriodOption

- `period` (Period, optional)
- `description` (string, optional, nullable)

### UnitName

- `singular` (string, optional)
- `plural` (string, optional, nullable)

### Meter

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the meter indicating the activity of the meter and the ability to update properties.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `meter_values` (list of MeterMeterValue, optional, nullable) — The values used as input to calculate billable units, used in the meter.
- `meter_properties` (list of MeterMeterProperty, optional, nullable) — The properties that provide information to give context to an event, used in the meter.

### MeterValue

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the meter value indicating the activity and the ability to update properties.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `type` (enum, optional, nullable) — The type of the meter value.
  - Allowed values: `NUMBER`, `AMOUNT`

### MeterProperty

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional) — The status of the meter property indicating the activity and the ability to update properties.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `type` (enum, optional, nullable) — The type of the meter property.
  - Allowed values: `NUMBER`, `ENUM`, `STRING`
- `enum_values` (list of string, optional, nullable) — The list of available ENUM values.

### DiscountConditionValue

- `amount` (Amount, optional)

### MeterConditionOperand

- `meter_property` (MeterPropertyCondition, optional)
- `expression` (MeterConditionOperandExpression, optional, nullable)

### IntegrationDetails

- `id` (string, optional, nullable)
- `reference` (string, optional, nullable)
- `payment_gateway_variant` (enum, optional)
  - Allowed values: `ADYEN`, `STRIPE`
- `adyen` (AdyenIntegrationDetails, optional)
- `stripe` (StripeIntegrationDetails, optional)

### LinkDetail

- `url` (string, optional, nullable)
- `custom_field_name` (string, optional, nullable)

### ProductItemUsageBased

- `meter_value_calculation_id` (string, optional, nullable) — The linked meter value calculation
- `meter_value_calculation` (MeterValueCalculation, optional, nullable)
- `tiering_meter_value_calculation_id` (string, optional, nullable) — The optional alternative linked meter value calculation for tiering
- `tiering_meter_value_calculation` (MeterValueCalculation, optional, nullable)
- `report_meter_value_calculation_ids` (list of string, optional, nullable) — Optional reporting meter value calculations.
- `conditions` (MeterConditions, optional) — Optional conditions.

### ProductItemCredits

- `credit_type_id` (string, optional, nullable) — The linked meter value calculation
- `credit_type` (CreditType, optional, nullable)

### PricingItemConfigOriginalPricingItemConfig

This property creates a circular reference in the `PricingItemConfig` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.

### PricingItemConfigDetails

- `billing_period` (Period, optional)
- `pricing_type` (enum, optional, nullable)
  - Allowed values: `FLAT`, `FLAT_TOP_UP`, `TIERED`, `TIERED_TOP_UP`, `TOP_TIERED`, `STAIR_STEP`, `STAIR_STEP_TOP_UP`, `FIXED`, `FLEXIBLE`, `PASS_THROUGH`, `NONE`
- `pricing_period` (Period, optional)
- `bands` (list of PricingItemConfigBand, optional)

### PricingItemConfigMeterValueIncludedVolume

- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `count` (string, optional, nullable)
- `reset_type` (string, optional, nullable)

### PricingItemConfigMeterValue

- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `count` (string, optional, nullable)

### PricingItemConfigConditions

- `name` (string, optional, nullable)
- `meter_properties` (list of MeterPropertyCondition, optional, nullable)
- `configs` (list of PricingItemConfigConditionsConfigsItems, optional, nullable)

### MeterConditions

- `name` (string, optional, nullable)
- `expression` (MeterConditionExpression, optional)
- `meter_properties` (list of MeterPropertyCondition, optional, nullable, deprecated)

### PricingItemConfigTopUp

- `rollover` (boolean, optional, nullable)

### PricingItemConfigSplitPricing

- `meter_properties` (list of MeterPropertySplitPricing, optional, nullable)

### PricingItemConfigWalletGrant

- `wallet_type_id` (string, optional) — Resource ID of type WALLET_TYPE
- `wallet_type` (WalletType, optional, nullable)
- `amount_grant` (PricingItemConfigWalletGrantAmountGrant, optional)
- `credits_grant` (PricingItemConfigWalletGrantCreditsGrant, optional)
- `expiry_policy` (PricingItemConfigWalletGrantExpiryPolicy, optional)
- `source` (enum, optional, nullable) — What the grant quantity is derived from. Defaults to FIXED. SEAT_POOL multiplies the fixed grant by the purchased seat count and grants it into the shared customer pool. PER_SEAT grants the fixed credits once per occupied seat, restricted to the customer holding that seat, and requires credits_grant.credits.
  - Allowed values: `FIXED`, `SEAT_POOL`, `PER_SEAT`

### PricingItemConfigBand

- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `credits` (Credits, optional)
- `fixed_amount` (Amount, optional)
- `maximum_amount` (Amount, optional)
- `minimum_amount` (Amount, optional)
- `maximum_number` (string, optional, nullable)
- `minimum_number` (string, optional, nullable)
- `block_size` (PricingItemConfigMeterValue, optional)
- `tier_top_bound` (PricingItemConfigMeterValue, optional)

### SelectionRuleResource

- `type` (enum, optional)
  - Allowed values: `PLATFORM`, `CUSTOMER`, `BILLING_ENTITY`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_VALUE_CALCULATION`, `PRODUCT`, `PRODUCT_ITEM`, `PRODUCT_CATEGORY`, `PRICING`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_ITEM_SUMMARY`, `METER_VALUE_CALCULATION_SUMMARY`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SCHEDULE`, `QUOTE`, `QUOTE_VERSION`, `CONTACT`, `CUSTOM_FIELD`, `REQUEST_REFERENCE`, `METER_DATA`, `CHARGE_DATA`, `ADJUSTMENT_DATA`, `PERSIST_DATA`, `INVOICE`, `INVOICE_PAYMENT_ATTEMPT`, `PAYMENT_ACCEPTOR`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `FEATURE`, `ALERT_RULE`, `ALERT`, `USER`, `MEMBERSHIP`, `TEAM`, `ENTITY`, `ACCOUNT_GROUP`, `AUDIT`, `WEBHOOK`, `REPORT_SUBSCRIPTION`, `REPORT_CONFIGURATION`
- `field` (enum, optional)
  - Allowed values: `COUNTRY`
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `comparator` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`

### MeterMeterValue

- `id` (string, optional, nullable) — Resource ID of type METER_VALUE
- `object` (MeterValue, optional, nullable)
- `reference` (string, optional, nullable)
- `required` (boolean, optional, nullable)

### MeterMeterProperty

- `id` (string, optional, nullable) — Resource ID of type METER_PROPERTY
- `object` (MeterProperty, optional, nullable)
- `reference` (string, optional, nullable)
- `required` (boolean, optional, nullable)

### MeterPropertyCondition

- `id` (string, optional, nullable) — Resource ID of type METER_PROPERTY
- `reference` (string, optional, nullable)
- `meter_property` (MeterProperty, optional, nullable)
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `meter_property_variable_id` (string, optional, nullable) — Resource ID of type METER_PROPERTY_VARIABLE
- `meter_property_variable` (MeterPropertyVariable, optional, nullable)
- `comparator` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`

### MeterConditionOperandExpression

### AdyenIntegrationDetails

- `recurring_detail_reference` (string, optional)

### StripeIntegrationDetails

- `payment_method_id` (string, optional)

### PricingItemConfigConditionsConfigsItems

### MeterPropertySplitPricing

- `id` (string, optional, nullable) — Resource ID of type METER_PROPERTY
- `reference` (string, optional, nullable)
- `value` (string, optional, nullable)
- `meter_property` (MeterProperty, optional, nullable)

### WalletType

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `name` (string, optional)
- `reference` (string, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `INACTIVE`, `DEPRECATED`, `ARCHIVED`
- `type` (enum, optional, nullable)
  - Allowed values: `CREDIT`, `BALANCE`
- `credit` (WalletTypeCredit, optional)
- `balance` (WalletTypeBalance, optional)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)

### PricingItemConfigWalletGrantAmountGrant

- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)

### PricingItemConfigWalletGrantCreditsGrant

- `credits` (Credits, optional)
- `conversion` (PricingItemConfigWalletGrantCreditsGrantConversion, optional)

### PricingItemConfigWalletGrantExpiryPolicy

- `expiry_period` (Period, optional)

### Credits

- `quantity` (string, optional)
- `credit_type_id` (string, optional) — Resource ID of type CREDIT_TYPE
- `credit_type` (CreditType, optional, nullable)

### MeterPropertyVariable

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `meter_property_id` (string, optional, nullable) — The meter property whose values this variable lists. Set on create only.
- `meter_property_reference` (string, optional, nullable) — Alternative to meter_property_id on create.
- `type` (enum, optional, nullable)
  - Allowed values: `LIST`
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `values` (list of string, optional, nullable) — The initial values, on create only. Edit them afterwards through the values endpoint.
- `value_count` (integer, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)

### WalletTypeCredit

- `grant_type` (enum, optional)
  - Allowed values: `CREDITS`, `AMOUNT`
- `amount_grant` (WalletTypeCreditAmountGrant, optional)
- `credits_grant` (WalletTypeCreditCreditsGrant, optional)

### WalletTypeBalance

- `default_currency` (string, optional) — The default currency for the wallet.

### PricingItemConfigWalletGrantCreditsGrantConversion

- `credit_type_id` (string, optional)
- `rate` (string, optional)

### WalletTypeCreditAmountGrant

- `default_currency` (enum, optional) — The default currency for the wallet. Required when credit.grant_type is AMOUNT.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `tax_category` (enum, optional) — The tax category that scopes what the wallet can be spent on. Required when credit.grant_type is AMOUNT. Can only be changed while no wallet of this type exists.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`

### WalletTypeCreditCreditsGrant

- `credit_type_id` (string, optional) — The credit type for wallets of wallet type.

## Examples

**Response**

```json
{
  "object_type": "string",
  "id": "string",
  "type": "TRIAL",
  "status": "DRAFT",
  "approval_status": "PENDING_REVIEW",
  "pricing_plan_subscription_id": "string",
  "pricing_plan_id": "string",
  "pricing_plan_version_id": "string",
  "start_at": "2024-01-15T09:30:00Z",
  "end_at": "2024-01-15T09:30:00Z",
  "pricing_currency": "AED",
  "billing_period": {
    "type": "DAY",
    "value": 1
  },
  "entitlements": [
    {
      "feature_id": "string",
      "feature": {
        "object_type": "string",
        "id": "string",
        "reference": "string",
        "name": "string",
        "description": "string",
        "type": "SWITCH",
        "enum_values": [
          "string"
        ],
        "meter_value_calculation_id": "string",
        "meter_value_calculation": {
          "object_type": "string",
          "id": "string",
          "reference": "string",
          "name": "string",
          "description": "string",
          "calculation_type": "SUM",
          "persist": true,
          "meter_id": "string",
          "meter": {
            "object_type": "string",
            "id": "string",
            "reference": "string",
            "name": "string",
            "description": "string",
            "status": "DRAFT",
            "meter_values": [
              {
                "id": "string",
                "object": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "name": "string",
                  "description": "string",
                  "status": "DRAFT",
                  "type": "NUMBER"
                },
                "required": true
              }
            ],
            "meter_properties": [
              {
                "id": "string",
                "object": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "name": "string",
                  "description": "string",
                  "status": "DRAFT",
                  "type": "NUMBER",
                  "enum_values": [
                    "string"
                  ]
                },
                "required": true
              }
            ]
          },
          "meter_value_id": "string",
          "meter_value": {
            "object_type": "string",
            "id": "string",
            "reference": "string",
            "name": "string",
            "description": "string",
            "status": "DRAFT",
            "type": "NUMBER"
          },
          "meter_property_id": "string",
          "meter_property": {
            "object_type": "string",
            "id": "string",
            "reference": "string",
            "name": "string",
            "description": "string",
            "status": "DRAFT",
            "type": "NUMBER",
            "enum_values": [
              "string"
            ]
          }
        }
      },
      "feature_reference": "string",
      "override": true,
      "number": "string",
      "switch": true,
      "amount": {
        "quantity": "string",
        "currency": "AED"
      },
      "enum": "string",
      "string": "string",
      "overwrite": true
    }
  ],
  "discount": {
    "pricing_item_configs": [
      {
        "ids": [
          "string"
        ],
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "pricing_items": [
      {
        "ids": [
          "string"
        ],
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "pricings": [
      {
        "ids": [
          "string"
        ],
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "totals": [
      {
        "start_at": "string",
        "end_at": "string",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        },
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "product_categories": [
      {
        "ids": [
          "string"
        ],
        "start_at": "string",
        "end_at": "string",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        },
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "products": [
      {
        "ids": [
          "string"
        ],
        "start_at": "string",
        "end_at": "string",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        },
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "product_items": [
      {
        "ids": [
          "string"
        ],
        "start_at": "string",
        "end_at": "string",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        },
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "product_item_meter_property_conditions": [
      {
        "ids": [
          "string"
        ],
        "meter_property_condition_expression": {
          "operator": "AND",
          "operands": [
            {
              "meter_property": {
                "id": "string",
                "reference": "string",
                "meter_property": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "name": "string",
                  "description": "string",
                  "status": "DRAFT",
                  "type": "NUMBER",
                  "enum_values": [
                    "string"
                  ]
                },
                "value": "string",
                "values": [
                  "string"
                ],
                "meter_property_variable_id": "string",
                "meter_property_variable": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "name": "string",
                  "description": "string",
                  "meter_property_id": "string",
                  "type": "LIST",
                  "status": "DRAFT",
                  "value_count": 1,
                  "created_at": "string",
                  "updated_at": "string"
                },
                "comparator": "EQUALS"
              },
              "expression": {}
            }
          ]
        },
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        },
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        }
      }
    ]
  },
  "markup": {
    "pricing_item_configs": [
      {
        "ids": [
          "string"
        ],
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string"
      }
    ]
  },
  "commitment": {
    "pricing_item_configs": [
      {
        "ids": [
          "string"
        ],
        "meter_value_calculation": {
          "number": "string",
          "amount": {
            "quantity": "string",
            "currency": "AED"
          }
        },
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        }
      }
    ],
    "pricing_items": [
      {
        "ids": [
          "string"
        ],
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        }
      }
    ],
    "pricings": [
      {
        "ids": [
          "string"
        ],
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        }
      }
    ],
    "totals": [
      {
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        }
      }
    ]
  },
  "coupon_discount": {
    "pricing_item_configs": [
      {
        "ids": [
          "string"
        ],
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "pricing_items": [
      {
        "ids": [
          "string"
        ],
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "pricings": [
      {
        "ids": [
          "string"
        ],
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "totals": [
      {
        "start_at": "string",
        "end_at": "string",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        },
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "product_categories": [
      {
        "ids": [
          "string"
        ],
        "start_at": "string",
        "end_at": "string",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        },
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "products": [
      {
        "ids": [
          "string"
        ],
        "start_at": "string",
        "end_at": "string",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        },
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "product_items": [
      {
        "ids": [
          "string"
        ],
        "start_at": "string",
        "end_at": "string",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        },
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        }
      }
    ],
    "product_item_meter_property_conditions": [
      {
        "ids": [
          "string"
        ],
        "meter_property_condition_expression": {
          "operator": "AND",
          "operands": [
            {
              "meter_property": {
                "id": "string",
                "reference": "string",
                "meter_property": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "name": "string",
                  "description": "string",
                  "status": "DRAFT",
                  "type": "NUMBER",
                  "enum_values": [
                    "string"
                  ]
                },
                "value": "string",
                "values": [
                  "string"
                ],
                "meter_property_variable_id": "string",
                "meter_property_variable": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "name": "string",
                  "description": "string",
                  "meter_property_id": "string",
                  "type": "LIST",
                  "status": "DRAFT",
                  "value_count": 1,
                  "created_at": "string",
                  "updated_at": "string"
                },
                "comparator": "EQUALS"
              },
              "expression": {}
            }
          ]
        },
        "start_at": "2024-01-15T09:30:00Z",
        "end_at": "2024-01-15T09:30:00Z",
        "amount": {
          "quantity": "string",
          "currency": "AED"
        },
        "percentage": "string",
        "condition": {
          "comparator": "EQUALS",
          "value": {
            "amount": {
              "quantity": "string",
              "currency": "AED"
            }
          }
        },
        "coupon_id": "string",
        "promotion_code_details": {
          "promotion_code_id": "string",
          "code": "string"
        }
      }
    ]
  },
  "coupons": [
    {
      "id": "string",
      "coupon_name": "string",
      "promotion_code_resource_id": "string",
      "promotion_code": "string",
      "discount": {
        "pricing_item_configs": [
          {
            "ids": [
              "string"
            ],
            "start_at": "2024-01-15T09:30:00Z",
            "end_at": "2024-01-15T09:30:00Z",
            "amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "percentage": "string",
            "condition": {
              "comparator": "EQUALS",
              "value": {
                "amount": {
                  "quantity": "string",
                  "currency": "AED"
                }
              }
            }
          }
        ],
        "pricing_items": [
          {
            "ids": [
              "string"
            ],
            "start_at": "2024-01-15T09:30:00Z",
            "end_at": "2024-01-15T09:30:00Z",
            "amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "percentage": "string",
            "condition": {
              "comparator": "EQUALS",
              "value": {
                "amount": {
                  "quantity": "string",
                  "currency": "AED"
                }
              }
            }
          }
        ],
        "pricings": [
          {
            "ids": [
              "string"
            ],
            "start_at": "2024-01-15T09:30:00Z",
            "end_at": "2024-01-15T09:30:00Z",
            "amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "percentage": "string",
            "condition": {
              "comparator": "EQUALS",
              "value": {
                "amount": {
                  "quantity": "string",
                  "currency": "AED"
                }
              }
            }
          }
        ],
        "totals": [
          {
            "start_at": "string",
            "end_at": "string",
            "amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "percentage": "string",
            "coupon_id": "string",
            "promotion_code_details": {
              "promotion_code_id": "string",
              "code": "string"
            },
            "condition": {
              "comparator": "EQUALS",
              "value": {
                "amount": {
                  "quantity": "string",
                  "currency": "AED"
                }
              }
            }
          }
        ],
        "product_categories": [
          {
            "ids": [
              "string"
            ],
            "start_at": "string",
            "end_at": "string",
            "amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "percentage": "string",
            "coupon_id": "string",
            "promotion_code_details": {
              "promotion_code_id": "string",
              "code": "string"
            },
            "condition": {
              "comparator": "EQUALS",
              "value": {
                "amount": {
                  "quantity": "string",
                  "currency": "AED"
                }
              }
            }
          }
        ],
        "products": [
          {
            "ids": [
              "string"
            ],
            "start_at": "string",
            "end_at": "string",
            "amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "percentage": "string",
            "coupon_id": "string",
            "promotion_code_details": {
              "promotion_code_id": "string",
              "code": "string"
            },
            "condition": {
              "comparator": "EQUALS",
              "value": {
                "amount": {
                  "quantity": "string",
                  "currency": "AED"
                }
              }
            }
          }
        ],
        "product_items": [
          {
            "ids": [
              "string"
            ],
            "start_at": "string",
            "end_at": "string",
            "amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "percentage": "string",
            "coupon_id": "string",
            "promotion_code_details": {
              "promotion_code_id": "string",
              "code": "string"
            },
            "condition": {
              "comparator": "EQUALS",
              "value": {
                "amount": {
                  "quantity": "string",
                  "currency": "AED"
                }
              }
            }
          }
        ],
        "product_item_meter_property_conditions": [
          {
            "ids": [
              "string"
            ],
            "meter_property_condition_expression": {
              "operator": "AND",
              "operands": [
                {
                  "meter_property": {
                    "id": "string",
                    "reference": "string",
                    "meter_property": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "status": "DRAFT",
                      "type": "NUMBER",
                      "enum_values": [
                        "string"
                      ]
                    },
                    "value": "string",
                    "values": [
                      "string"
                    ],
                    "meter_property_variable_id": "string",
                    "meter_property_variable": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "meter_property_id": "string",
                      "type": "LIST",
                      "status": "DRAFT",
                      "value_count": 1,
                      "created_at": "string",
                      "updated_at": "string"
                    },
                    "comparator": "EQUALS"
                  },
                  "expression": {}
                }
              ]
            },
            "start_at": "2024-01-15T09:30:00Z",
            "end_at": "2024-01-15T09:30:00Z",
            "amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "percentage": "string",
            "condition": {
              "comparator": "EQUALS",
              "value": {
                "amount": {
                  "quantity": "string",
                  "currency": "AED"
                }
              }
            },
            "coupon_id": "string",
            "promotion_code_details": {
              "promotion_code_id": "string",
              "code": "string"
            }
          }
        ]
      }
    }
  ],
  "seats_values": [
    {
      "pricing_item_config_id": "string",
      "number": "string",
      "amount": {
        "quantity": "string",
        "currency": "AED"
      },
      "start_at": "2024-01-15T09:30:00Z",
      "end_at": "string"
    }
  ],
  "units": [
    {
      "pricing_item_config_id": "string",
      "number": "string",
      "amount": {
        "quantity": "string",
        "currency": "AED"
      },
      "start_at": "2024-01-15T09:30:00Z",
      "end_at": "string"
    }
  ],
  "included_volumes": [
    {
      "pricing_item_config_id": "string",
      "number": "string",
      "amount": {
        "quantity": "string",
        "currency": "AED"
      },
      "start_at": "2024-01-15T09:30:00Z",
      "end_at": "2024-01-15T09:30:00Z",
      "reset_type": "string"
    }
  ],
  "enabled_pricings": [
    {
      "pricing_id": "string",
      "start_at": "2024-01-15T09:30:00Z",
      "end_at": "2024-01-15T09:30:00Z"
    }
  ],
  "override_pricings": [
    {
      "object_type": "string",
      "id": "string",
      "pricing_plan_version_id": "string",
      "pricing_plan_schedule_id": "string",
      "pricing_group_id": "string",
      "original_pricing_id": "string",
      "original_pricing": {},
      "override": "ALL",
      "name": "string",
      "product_type": "DEFAULT",
      "product_ids": [
        "string"
      ],
      "display_order": 1,
      "products": [
        {
          "object_type": "string",
          "id": "string",
          "category_id": "string",
          "category": {
            "object_type": "string",
            "id": "string",
            "name": "string",
            "reference": "string",
            "description": "string",
            "tax_category": "STANDARD",
            "display_order": 1,
            "customer_id": "string"
          },
          "parent_product_id": "string",
          "name": "string",
          "reference": "string",
          "description": "string",
          "status": "DRAFT",
          "product_type": "DEFAULT",
          "tax_category": "STANDARD",
          "features": [
            {
              "id": "string",
              "reference": "string"
            }
          ],
          "custom_fields": [
            {
              "id": "string",
              "reference": "string",
              "value": "string",
              "values": [
                "string"
              ],
              "integration_details": {
                "id": "string",
                "reference": "string",
                "payment_gateway_variant": "ADYEN",
                "adyen": {
                  "recurring_detail_reference": "string"
                },
                "stripe": {
                  "payment_method_id": "string"
                }
              },
              "integration_id": "string"
            }
          ],
          "display_order": 1,
          "linked_integrations": [
            {
              "id": "string",
              "link_details": [
                {
                  "url": "string",
                  "custom_field_name": "string"
                }
              ]
            }
          ],
          "billing_entity_id": "string",
          "customer_id": "string",
          "agent_context": {
            "guidance": "string"
          }
        }
      ],
      "entitlements": [
        {
          "feature_id": "string",
          "feature": {
            "object_type": "string",
            "id": "string",
            "reference": "string",
            "name": "string",
            "description": "string",
            "type": "SWITCH",
            "enum_values": [
              "string"
            ],
            "meter_value_calculation_id": "string",
            "meter_value_calculation": {
              "object_type": "string",
              "id": "string",
              "reference": "string",
              "name": "string",
              "description": "string",
              "calculation_type": "SUM",
              "persist": true,
              "meter_id": "string",
              "meter": {
                "object_type": "string",
                "id": "string",
                "reference": "string",
                "name": "string",
                "description": "string",
                "status": "DRAFT",
                "meter_values": [
                  {
                    "id": "string",
                    "object": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "status": "DRAFT",
                      "type": "NUMBER"
                    },
                    "required": true
                  }
                ],
                "meter_properties": [
                  {
                    "id": "string",
                    "object": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "status": "DRAFT",
                      "type": "NUMBER",
                      "enum_values": [
                        "string"
                      ]
                    },
                    "required": true
                  }
                ]
              },
              "meter_value_id": "string",
              "meter_value": {
                "object_type": "string",
                "id": "string",
                "reference": "string",
                "name": "string",
                "description": "string",
                "status": "DRAFT",
                "type": "NUMBER"
              },
              "meter_property_id": "string",
              "meter_property": {
                "object_type": "string",
                "id": "string",
                "reference": "string",
                "name": "string",
                "description": "string",
                "status": "DRAFT",
                "type": "NUMBER",
                "enum_values": [
                  "string"
                ]
              }
            }
          },
          "feature_reference": "string",
          "override": true,
          "number": "string",
          "switch": true,
          "amount": {
            "quantity": "string",
            "currency": "AED"
          },
          "enum": "string",
          "string": "string",
          "overwrite": true
        }
      ],
      "items": [
        {
          "object_type": "string",
          "id": "string",
          "original_pricing_item_id": "string",
          "original_pricing_item": {},
          "override": "ALL",
          "product_item_ids": [
            "string"
          ],
          "product_items": [
            {
              "object_type": "string",
              "id": "string",
              "product_id": "string",
              "product": {
                "object_type": "string",
                "id": "string",
                "category_id": "string",
                "category": {
                  "object_type": "string",
                  "id": "string",
                  "name": "string",
                  "reference": "string",
                  "description": "string",
                  "tax_category": "STANDARD",
                  "display_order": 1,
                  "customer_id": "string"
                },
                "parent_product_id": "string",
                "name": "string",
                "reference": "string",
                "description": "string",
                "status": "DRAFT",
                "product_type": "DEFAULT",
                "tax_category": "STANDARD",
                "features": [
                  {
                    "id": "string",
                    "reference": "string"
                  }
                ],
                "custom_fields": [
                  {
                    "id": "string",
                    "reference": "string",
                    "value": "string",
                    "values": [
                      "string"
                    ],
                    "integration_details": {
                      "id": "string",
                      "reference": "string",
                      "payment_gateway_variant": "ADYEN",
                      "adyen": {
                        "recurring_detail_reference": "string"
                      },
                      "stripe": {
                        "payment_method_id": "string"
                      }
                    },
                    "integration_id": "string"
                  }
                ],
                "display_order": 1,
                "linked_integrations": [
                  {
                    "id": "string",
                    "link_details": [
                      {
                        "url": "string",
                        "custom_field_name": "string"
                      }
                    ]
                  }
                ],
                "billing_entity_id": "string",
                "customer_id": "string",
                "agent_context": {
                  "guidance": "string"
                }
              },
              "name": "string",
              "status": "DRAFT",
              "reference": "string",
              "description": "string",
              "type": "REVENUE",
              "model_type": "USAGE_BASED",
              "usage_based": {
                "meter_value_calculation_id": "string",
                "meter_value_calculation": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "name": "string",
                  "description": "string",
                  "calculation_type": "SUM",
                  "persist": true,
                  "meter_id": "string",
                  "meter": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "status": "DRAFT",
                    "meter_values": [
                      {
                        "id": "string",
                        "object": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "name": "string",
                          "description": "string",
                          "status": "DRAFT",
                          "type": "NUMBER"
                        },
                        "required": true
                      }
                    ],
                    "meter_properties": [
                      {
                        "id": "string",
                        "object": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "name": "string",
                          "description": "string",
                          "status": "DRAFT",
                          "type": "NUMBER",
                          "enum_values": [
                            "string"
                          ]
                        },
                        "required": true
                      }
                    ]
                  },
                  "meter_value_id": "string",
                  "meter_value": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "status": "DRAFT",
                    "type": "NUMBER"
                  },
                  "meter_property_id": "string",
                  "meter_property": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "status": "DRAFT",
                    "type": "NUMBER",
                    "enum_values": [
                      "string"
                    ]
                  }
                },
                "tiering_meter_value_calculation_id": "string",
                "tiering_meter_value_calculation": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "name": "string",
                  "description": "string",
                  "calculation_type": "SUM",
                  "persist": true,
                  "meter_id": "string",
                  "meter": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "status": "DRAFT",
                    "meter_values": [
                      {
                        "id": "string",
                        "object": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "name": "string",
                          "description": "string",
                          "status": "DRAFT",
                          "type": "NUMBER"
                        },
                        "required": true
                      }
                    ],
                    "meter_properties": [
                      {
                        "id": "string",
                        "object": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "name": "string",
                          "description": "string",
                          "status": "DRAFT",
                          "type": "NUMBER",
                          "enum_values": [
                            "string"
                          ]
                        },
                        "required": true
                      }
                    ]
                  },
                  "meter_value_id": "string",
                  "meter_value": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "status": "DRAFT",
                    "type": "NUMBER"
                  },
                  "meter_property_id": "string",
                  "meter_property": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "status": "DRAFT",
                    "type": "NUMBER",
                    "enum_values": [
                      "string"
                    ]
                  }
                },
                "report_meter_value_calculation_ids": [
                  "string"
                ],
                "conditions": {
                  "name": "string",
                  "expression": {
                    "operator": "AND",
                    "operands": [
                      {
                        "meter_property": {
                          "id": "string",
                          "reference": "string",
                          "meter_property": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
[...]
